Bug 1692555 - 'radosgw-admin sync status' does not show timestamps for master zone [NEEDINFO]
Summary: 'radosgw-admin sync status' does not show timestamps for master zone
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW-Multisite
Version: 3.2
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: z2
: 3.2
Assignee: Matt Benjamin (redhat)
QA Contact: Tejas
Erin Donnelly
URL:
Whiteboard:
Depends On:
Blocks: 1629656
TreeView+ depends on / blocked
 
Reported: 2019-03-25 20:52 UTC by Casey Bodley
Modified: 2019-05-01 19:15 UTC (History)
9 users (show)

Fixed In Version: RHEL: ceph-12.2.8-99.el7cp Ubuntu: ceph_12.2.8-84redhat1
Doc Type: Bug Fix
Doc Text:
.`radosgw-admin sync status` now shows timestamps for master zone Previously in Ceph Object Gateway multisite, running `radosgw-admin sync status` on the master zone did not show timestamps, which made it difficult to tell if data sync was making progress. This bug has been fixed, and timestamps are shown as expected.
Clone Of:
Environment:
Last Closed: 2019-04-30 15:57:08 UTC
edonnell: needinfo? (mbenjamin)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0911 None None None 2019-04-30 15:57:23 UTC
Ceph Project Bug Tracker 38938 None None None 2019-03-25 20:52:51 UTC

Description Casey Bodley 2019-03-25 20:52:51 UTC
Description of problem:

When run on the master zone, `radosgw-admin sync status` will list the datalog shards that are behind, but does not display the line "oldest incremental change not applied: 2019-03-25 16:28:23.0.977968s". This makes it difficult to tell whether data sync is making progress.


Version-Release number of selected component (if applicable):


How reproducible:

Always reproducible when run on the master zone of the master zonegroup

Steps to Reproduce:
1. Configure a multisite setup with two zones.
2. Create a bucket on the master zone and upload an object.
3. Wait for the secondary zone to sync both.
4. Stop the master zone gateway(s).
5. Upload some more objects to that bucket on the secondary zone.
6. Observe the sync status on the master zone: $ radosgw-admin sync status

Actual results:

      data sync source: 216c57d2-e8c8-40b7-bb5d-c34aecf1b962 (a2)
                        syncing
                        full sync: 0/128 shards
                        incremental sync: 128/128 shards
                        data is behind on 1 shards
                        behind shards: [6]

Expected results:

      data sync source: 216c57d2-e8c8-40b7-bb5d-c34aecf1b962 (a2)
                        syncing
                        full sync: 0/128 shards
                        incremental sync: 128/128 shards
                        data is behind on 1 shards
                        behind shards: [6]
                        oldest incremental change not applied: 2019-03-25 16:28:23.0.977968s

Additional info:

Comment 9 errata-xmlrpc 2019-04-30 15:57:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0911


Note You need to log in before you can comment on or make changes to this bug.